void printc(char val);
void prints(short val);
void printi(int val);
void printl(long val);

typedef int int_t;
typedef char char_t;
typedef short short_t;
typedef long long_t;

int main()
{
  int_t i;
  char_t c;
  short_t s;
  long_t l;

  printi(sizeof(i));
  printi(sizeof(c));
  printi(sizeof(s));
  printi(sizeof(l));

  i = 1;
  c = 2;
  s = 3;
  l = 4;

  printi(i);
  printc(c);
  prints(s);
  printl(l);

  return 0;
}
